Bug 1321511 - Activation Keys listing on Hostgroup New/edit pages do not respect selected content view
Summary: Activation Keys listing on Hostgroup New/edit pages do not respect selected c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-28 06:22 UTC by Justin Sherrill
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16308 None None None 2016-08-26 00:38:26 UTC

Description Justin Sherrill 2016-03-28 06:22:08 UTC
Description of problem:

Currently when creating and editing a hostgroup, the selected lifecycle environment is respected and only keys from that lifecycle environment are displayed on the activation keys tab, but the same is not true for the content view option.

Version-Release number of selected component (if applicable):
6.2 Snap 4

How reproducible:
Always

Steps to Reproduce:
1.  Create two content views A & B
2.  Publish both content views
3.  Create an activation key pointed to view A in Library
3.  Create an activation key pointed to view B in Library
4.  Go to the new Hostgroup page, select content view A & Library, click on the activation key tab and click in the input box

Actual results:
Both activation keys are listed


Expected results:
Only the activation key for view A is listed

Additional info:

Comment 2 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Bryan Kearney 2016-07-26 15:31:51 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 Brad Buckingham 2016-08-26 00:38:24 UTC
Created redmine issue http://projects.theforeman.org/issues/16308 from this bug

Comment 6 Brad Buckingham 2016-08-30 15:57:43 UTC
I am not seeing the behavior described on the Katello upstream; therefore, I am going to align this bugzilla to the Satellite 6.3 release.  Since it should get picked up with the release rebase, I am going to move it to POST.

Comment 8 Stanislav Tkachenko 2017-02-21 09:47:04 UTC
Verified on Satellite 6.3.0 Snap 8 and Satellite 6.2.8 Snap 3.0.

Comment 9 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.